Description

hello jirgen,

i think there is a bug in the API Public Member Function QgsVectorLayer::selectedFeatures()

if i have more than 8 features in a oracle vectorlayer selected and i get the QgsFeatureList with pyQGIS "layer.selectedFeatures()"

the length of the list is 0 "len(layer.selectedFeatures())"

if i have 8 or less features selected everthing is ok. the attached file showing the debugview of these two cases.

can you please have a look the problem? or someone else...:-)

thanks
jan

Related issues:

Related to QGIS Application - Bug report # 11408: No longer possible to copy-... Closed
Related to QGIS Application - Bug report # 11336: Copy / Paste PostGIS featur... Closed

2014-10-14
2014-10-06

Associated revisions

Revision 02f5¢73a - 2015-04-21 11:04 PM - Juirgen Fischer

fix where clause when multiple features are filtered by ids (fixes #12616, followup d1e23a6)

Revision 9e0893f6 - 2015-04-26 03:34 PM - Jirgen Fischer

fix where clause when multiple features are filtered by ids (fixes #12616, followup d1e23a6)

(cherry picked from commit 02f5¢73ae2067c3a92a2254761a8e2db0a565eae)

History

#1 - 2015-04-21 02:04 PM - Jiirgen Fischer
- Status changed from Open to Closed

Fixed in changeset commit:"02f5c73ae2067c3a92a2254761a8e2db0a565eae".
#2 - 2015-04-24 04:05 AM - Jan Lippmann

the fix works!

thanks jirgen

Files

debug_view_selectedFeatures.ixt

2025-12-15

4.07 KB

2015-04-21

Jan Lippmann

22



